/*****************************************
 	Read a momentary switch example using simpleC
 	This code will drive an LED on pin 10(RB2) and
	an LED on pin 11(RB3) based on the of a 
	momentary switch connected to pin 8(RB0).
	If idle, Pin 11 LED on, Pin 10 LED off.
	If pressed, Pin 11 LED off, Pin 10 LED on.
	
	Connections:
	PIN 10(RB2) to LED Anode
	LED Cathode to 330ohm resistor
	330ohm resistor to Ground

	PIN 11(RB3) to LED Anode
	LED Cathode to 330ohm resistor
	330ohm resistor to Ground

	PIN 8(RB0) to switch and 10k resistor
	10k resistor to 5v
	Switch to ground

 ******************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include "simplec1.1.h"

void
main(void)
{
init_micro();	// Initialize I/O
char value = 0;

while (1==1)
{
	
	value = input(8);
	if (value == 1)
	{
	//*** Switch is idle ***
	high(11);		// Pin 11 LED on
	low(10);		// Pin 10 LED off
	}
	else
	{
	//*** Switch is Pressed ***				
	low(11);		// Pin 11 LED off
	high(10);		// Pin 10 LED on
	}
	
}
}
