/*****************************************
 	Analog to Digital converter (ADC) example using simpleC
 	This code will read the voltage on RA0 pin with the
 	ADC and then display it on the LCD.

POT
PIN 1 - Gnd
PIN 2 - RA0
PIN 3 - 5v

LCD
PIN 1 - Gnd
PIN 2 - 5v
PIN 3 - Gnd
PIN 4 - RB4 (RS)
PIN 5 - Gnd
PIN 6 - RB5 (EN)
PIN 7 - NC
PIN 8 - NC
PIN 9 - NC
PIN 10 - NC
PIN 11 - RB0 (DB4)
PIN 12 - RB1 (DB5)
PIN 13 - RB2 (DB6)
PIN 14 - RB3 (DB7)

********************************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include "simplec1.1.h"


void
main(void)
{
init_micro();	// Initialize I/O
lcd_init();		// Initialize LCD Display
lcd_clear();	// Clear LCD screen

while (1==1)
	{
	lcd_goto(0);				// Select first line
	lcd_text("ADCin Reading");	// Display Hello World
	char value = adcin(0);		// Get ADC reading and store in value
	lcd_goto(0x40);				// Select second line
	lcd_number (value);			// Display ADC reading on LCD
	pause (1000);				// Delay for 1 second to read display
	}
	
}
