
/************************
 PIC16F886 SPI - MCP23S08 I/O expander
The program reads a switch connected to the MCP23S08 GP0 pin.
It lights the LED connected to GP7 if the switch is idle and
lights the LED connected to GP6 if the switch is pressed.

Connections
MCP23S08
PIN 1 to CHIPINO PIN 4 (SCK/RC3)
PIN 2 to CHIPINO PIN 2 (SDO/RC5)
PIN 3 to CHIPINO PIN 3 (SDI/RC4)
PIN 4 to Gnd
PIN 5 to Gnd
PIN 6 to Vdd
PIN 7 to CHIPINO PIN SS (A5)
PIN 8 to NC
PIN 9 to Gnd
PIN 10 to Switch/Resistor Connection
PIN 11 to NC
PIN 12 to NC
PIN 13 to NC
PIN 14 to NC
PIN 15 to NC
PIN 16 to LED1 Anode
PIN 17 to LED2 Anode
PIN 18 to 5v 

Switch connected ground and 10k resistor, 10k resistor to 5v.
LED1 and LED 2 each Cathode to ground through 220 ohm resistor.

*/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include "simplec1.1.h"

void
main(void)
{
init_micro();
spi_init();	
WR_MCP23S08 (IODIR, 0x01);	// Setup pins 
while (1==1)
	{
char y = 1;
		y = RD_MCP23S08 (GPIO);	// Read switch
		y = y & 0x01;			// Mask all but bit 7			
		if (y==0)				
		{WR_MCP23S08 (OLAT, 0x40);}	// If switch idle light LED
		else
		{WR_MCP23S08 (OLAT, 0x80);}	// If switch pressed LED off
		pause(10);
 	} //End While
} //End Main	      
